DJHOSTLDFLAGS = $(shell pkg-config --libs dj64host) $(LDFLAGS)
DJHOSTLIB = libhost.so
TMPL2 = hosttmp_o_elf
HASM = hosttmp.s
HELF = hosttmp.o

# https://unix.stackexchange.com/a/516476/93040
define _script2
cat << EOF >$(HASM)
// Warning: autogenerated

.section .dj64host,"a",%progbits
.globl _binary_$(TMPL2)_start
#ifdef __ELF__
.size _binary_$(TMPL2)_start,0
#endif
_binary_$(TMPL2)_start:
.incbin "$(DJHOSTLIB)"
.globl _binary_$(TMPL2)_end
#ifdef __ELF__
.size _binary_$(TMPL2)_end,0
#endif
_binary_$(TMPL2)_end:

#ifdef __ELF__
.section .note.GNU-stack,"",%progbits
#endif
EOF
endef
export script2 = $(_script2)

$(HASM):
	@eval "$$script2"

$(DJHOSTLIB): $(OBJECTS)
	$(LD) $^ $(DJLDFLAGS) -o $@

$(HELF): $(DJHOSTLIB) $(HASM)

host.elf: $(XELF) $(HELF)
	$(LD) $^ $(DJHOSTLDFLAGS) -o $@

.INTERMEDIATE: $(DJHOSTLIB) $(HASM) $(HELF)
